<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFDataValidationHelper (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFDataValidationHelper (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFDataValidationHelper.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDateUtil.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFDataValidationHelper.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFDataValidationHelper" class="title">Class HSSFDataValidationHelper</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFDataValidationHelper</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                           title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFDataValidationHelper</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
              title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></pre>
                <div class="block">Helper for working with Data Validation</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#HSSFDataValidationHelper-org.apache.poi.hssf.usermodel.HSSFSheet-">HSSFDataValidationHelper</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createCustomConstraint-java.lang.String-">createCustomConstraint</a></span>(java.lang.String&nbsp;formula)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createDateConstraint-int-java.lang.String-java.lang.String-java.lang.String-">createDateConstraint</a></span>(int&nbsp;operatorType,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2,
                                    java.lang.String&nbsp;dateFormat)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createDecimalConstraint-int-java.lang.String-java.lang.String-">createDecimalConstraint</a></span>(int&nbsp;operatorType,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createExplicitListConstraint-java.lang.String:A-">createExplicitListConstraint</a></span>(java.lang.String[]&nbsp;listOfValues)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createFormulaListConstraint-java.lang.String-">createFormulaListConstraint</a></span>(java.lang.String&nbsp;listFormula)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createIntegerConstraint-int-java.lang.String-java.lang.String-">createIntegerConstraint</a></span>(int&nbsp;operatorType,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createNumericConstraint-int-int-java.lang.String-java.lang.String-">createNumericConstraint</a></span>(int&nbsp;validationType,
                                    int&nbsp;operatorType,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createTextLengthConstraint-int-java.lang.String-java.lang.String-">createTextLengthConstraint</a></span>(int&nbsp;operatorType,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createTimeConstraint-int-java.lang.String-java.lang.String-">createTimeConstraint</a></span>(int&nbsp;operatorType,
                                    java.lang.String&nbsp;formula1,
                                    java.lang.String&nbsp;formula2)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">createValidation</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                       title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;cellRangeAddressList)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFDataValidationHelper-org.apache.poi.hssf.usermodel.HSSFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFDataValidationHelper</h4>
                                <pre>public&nbsp;HSSFDataValidationHelper(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;sheet)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createDateConstraint-int-java.lang.String-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDateConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createDateConstraint(int&nbsp;operatorType,
                                                     java.lang.String&nbsp;formula1,
                                                     java.lang.String&nbsp;formula2,
                                                     java.lang.String&nbsp;dateFormat)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createDateConstraint-int-java.lang.String-java.lang.String-java.lang.String-">createDateConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createExplicitListConstraint-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExplicitListConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createExplicitListConstraint(java.lang.String[]&nbsp;listOfValues)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createExplicitListConstraint-java.lang.String:A-">createExplicitListConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createFormulaListConstraint-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFormulaListConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createFormulaListConstraint(java.lang.String&nbsp;listFormula)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createFormulaListConstraint-java.lang.String-">createFormulaListConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createNumericConstraint-int-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createNumericConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createNumericConstraint(int&nbsp;validationType,
                                                        int&nbsp;operatorType,
                                                        java.lang.String&nbsp;formula1,
                                                        java.lang.String&nbsp;formula2)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createNumericConstraint-int-int-java.lang.String-java.lang.String-">createNumericConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createIntegerConstraint-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createIntegerConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createIntegerConstraint(int&nbsp;operatorType,
                                                        java.lang.String&nbsp;formula1,
                                                        java.lang.String&nbsp;formula2)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createIntegerConstraint-int-java.lang.String-java.lang.String-">createIntegerConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createDecimalConstraint-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDecimalConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createDecimalConstraint(int&nbsp;operatorType,
                                                        java.lang.String&nbsp;formula1,
                                                        java.lang.String&nbsp;formula2)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createDecimalConstraint-int-java.lang.String-java.lang.String-">createDecimalConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createTextLengthConstraint-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTextLengthConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createTextLengthConstraint(int&nbsp;operatorType,
                                                           java.lang.String&nbsp;formula1,
                                                           java.lang.String&nbsp;formula2)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createTextLengthConstraint-int-java.lang.String-java.lang.String-">createTextLengthConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createTimeConstraint-int-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTimeConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createTimeConstraint(int&nbsp;operatorType,
                                                     java.lang.String&nbsp;formula1,
                                                     java.lang.String&nbsp;formula2)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createTimeConstraint-int-java.lang.String-java.lang.String-">createTimeConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCustomConstraint-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCustomConstraint</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;createCustomConstraint(java.lang.String&nbsp;formula)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createCustomConstraint-java.lang.String-">createCustomConstraint</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createValidation</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidation</a>&nbsp;createValidation(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint,
                                       <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                          title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;cellRangeAddressList)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">createValidation</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                                title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFDataValidationHelper.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFDateUtil.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFDataValidationHelper.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
